> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Doctor

> ### Overview
Soft-delete a doctor by their Eka ID or partner-provided ID. Once deleted, the doctor will no longer appear in list or get responses.

**Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`

**Method:** `DELETE`

### Path Parameters

| Parameter | Type   | Description                                            | Required |
| --------- | ------ | ------------------------------------------------------ | -------- |
| doc_id    | string | Doctor's Eka ID or partner-provided ID                 | Yes      |



## OpenAPI

````yaml delete /cdr/v1/doctor/{doc_id}/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/doctor/{doc_id}/:
    delete:
      tags:
        - Doctor and clinic API
      summary: Delete Doctor
      description: >-
        ### Overview

        Soft-delete a doctor by their Eka ID or partner-provided ID. Once
        deleted, the doctor will no longer appear in list or get responses.


        **Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`


        **Method:** `DELETE`


        ### Path Parameters


        | Parameter | Type   |
        Description                                            | Required |

        | --------- | ------ |
        ------------------------------------------------------ | -------- |

        | doc_id    | string | Doctor's Eka ID or partner-provided
        ID                 | Yes      |
      operationId: DeleteDoctor
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: doc_id
          in: path
          description: Doctor's Eka ID or partner-provided ID
          required: true
          style: simple
          schema:
            type: string
            example: do1769174683513
      responses:
        '200':
          description: OK - Doctor deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Doctor Deleted Successfully
        '404':
          description: Doctor not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Doctor not found

````